Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project
Class DataNodeConfigInfo

    java.lang.Object
      org.apache.cayenne.project.DataNodeConfigInfo

Deprecated. since 3.0. `ProjectConfigurator` approach turned out to be not usable, and is in fact rarely used (if ever). It will be removed in subsequent releases.

    public class DataNodeConfigInfo

extends Object

Stores information necessary to reconfigure nodes of existing projects.

Field Summary
`protected String` | `adapter` Deprecated.
`protected String` | `dataSource` Deprecated.
`protected String` | `domain` Deprecated.
`protected File` | `driverFile` Deprecated.
`protected String` | `name` Deprecated.

Constructor Summary
`DataNodeConfigInfo()` Deprecated.

Method Summary
`DataNode` | `findDataNode(Configuration config)` Deprecated. Searches for the DataNode described by this DataNodeConfigInfo in the provided configuration object.
`String` | `getAdapter()` Deprecated. Returns the adapter.
`String` | `getDataSource()` Deprecated. Returns the dataSource.
`String` | `getDomain()` Deprecated. Returns the domain.
`File` | `getDriverFile()` Deprecated. Returns the driverFile.
`String` | `getName()` Deprecated. Returns the name.
`void` | `setAdapter(String adapter)` Deprecated. Sets the adapter.
`void` | `setDataSource(String dataSource)` Deprecated. Sets the dataSource.
`void` | `setDomain(String domain)` Deprecated. Sets the domain.
`void` | `setDriverFile(File driverFile)` Deprecated. Sets the driverFile.
`void` | `setName(String name)` Deprecated. Sets the name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

  Deprecated.

### domain

    protected String domain

  Deprecated.

### adapter

    protected String adapter

  Deprecated.

### dataSource

    protected String dataSource

  Deprecated.

### driverFile

    protected File driverFile

  Deprecated.

Constructor Detail

### DataNodeConfigInfo

    public DataNodeConfigInfo()

  Deprecated.

Method Detail

### findDataNode

    public DataNode findDataNode(Configuration config)
                          throws ProjectException

  Deprecated.
  Searches for the DataNode described by this DataNodeConfigInfo in the provided configuration object. Throws ProjectException if there is no matching DataNode.

  Throws:
    `ProjectException`

### getAdapter

    public String getAdapter()

  Deprecated.
  Returns the adapter.

  Returns:
    String

### getDataSource

    public String getDataSource()

  Deprecated.
  Returns the dataSource.

  Returns:
    String

### getDomain

    public String getDomain()

  Deprecated.
  Returns the domain.

  Returns:
    String

### getDriverFile

    public File getDriverFile()

  Deprecated.
  Returns the driverFile.

  Returns:
    File

### getName

    public String getName()

  Deprecated.
  Returns the name.

  Returns:
    String

### setAdapter

    public void setAdapter(String adapter)

  Deprecated.
  Sets the adapter.

  Parameters:
    `adapter` - The adapter to set

### setDataSource

    public void setDataSource(String dataSource)

  Deprecated.
  Sets the dataSource.

  Parameters:
    `dataSource` - The dataSource to set

### setDomain

    public void setDomain(String domain)

  Deprecated.
  Sets the domain.

  Parameters:
    `domain` - The domain to set

### setDriverFile

    public void setDriverFile(File driverFile)

  Deprecated.
  Sets the driverFile.

  Parameters:
    `driverFile` - The driverFile to set

### setName

    public void setName(String name)

  Deprecated.
  Sets the name.

  Parameters:
    `name` - The name to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 Apache Cayenne. All Rights Reserved.